package com.ym.mec.auth.api.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.ym.mec.auth.api.client.fallback.SysUserFeignServiceFallback;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.common.config.FeignConfiguration;

@FeignClient(name = "auth-server", configuration = { FeignConfiguration.class }, fallback = SysUserFeignServiceFallback.class)
public interface SysUserFeignService {

	@GetMapping(value = "user/queryUserById/{userId}")
	public SysUser queryUserById(@PathVariable("userId") Integer userId);

	@GetMapping(value = "user/queryUserByPhone")
	public SysUser queryUserByMobile(@RequestParam("mobile") String mobile);

	@PostMapping(value = "user/add", consumes = MediaType.APPLICATION_JSON_VALUE)
	public Object addUser(SysUser user);

	@GetMapping(value = "task/test")
	public Object test();

	@GetMapping(value = "queryUserInfo")
	public SysUser queryUserInfo();
}
