package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.enums.OrderDetailTypeEnum;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudentPaymentOrderDao extends BaseDAO<Long, StudentPaymentOrder> {

	/**
	 * 查询商品列表
	 * @param musicGroupId
	 * @param type
	 * @return
	 */
	List<Goods> queryApplyGoodsList(@Param("musicGroupId") Integer musicGroupId, @Param("type") OrderDetailTypeEnum type);

	/**
	 * @Author: Joburgess
	 * @Date: 2019/10/3
	 * 根据学生vip课获取缴费订单
	 */
	StudentPaymentOrder findByStudentVipGroup(@Param("vipGroupId") Long vipGroupId,
											  @Param("userId") Long userId);
}