package com.ym.mec.education.controller;

import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.req.TeacherLeaveRecordReq;
import com.ym.mec.education.service.ITeacherAttendanceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: mec
 * @description: 老师考勤 上课
 * @author: xw
 * @create: 2019-09-30 13:54
 */
@RestController
@RequestMapping("api/teacherAttendance")
@Api(tags = "老师考勤/上课")
public class TeacherAttendanceController {

    @Autowired
    private ITeacherAttendanceService teacherAttendanceService;

    @PostMapping("/list")
    @ApiOperation("老师上课记录列表")
    public PageResponse list(@RequestBody TeacherLeaveRecordReq teacherLeaveRecordReq) {
        return teacherAttendanceService.getPage(teacherLeaveRecordReq);
    }
}
