package com.ym.mec.student.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ym.mec.auth.api.client.SysUserFeignService;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.service.ContractService;
import com.ym.mec.common.controller.BaseController;

@RequestMapping("contracts")
@Api(tags = "协议服务")
@RestController
public class ContractsController extends BaseController {

	@Autowired
	private SysUserFeignService sysUserFeignService;

	@Autowired
	private ContractService contractService;

	@ApiOperation("查询注册协议")
	@GetMapping(value = "queryRegisterContract")
	public Object queryRegisterContract() {
		SysUser sysUser = sysUserFeignService.queryUserInfo();
		if (sysUser == null) {
			return failed("获取用户信息失败");
		}
		return succeed(contractService.queryRegisterContract(sysUser.getId()));
	}

}
