package com.ym.mec.web.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ym.mec.biz.dal.entity.VipGroupDefaultClassesCycle;
import com.ym.mec.biz.service.VipGroupDefaultClassesCycleService;
import com.ym.mec.common.controller.BaseController;

@Api(tags = "vip课默认排课周期")
@RequestMapping("vipGroupDefaultClassesCycle")
@RestController
public class VipGroupDefaultClassesCycleController extends BaseController {

	@Autowired
	private VipGroupDefaultClassesCycleService vipGroupDefaultClassesCycleService;

	@ApiOperation("单查询")
	@GetMapping(value = "/query", consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	public Object query(int id) {
		return succeed(vipGroupDefaultClassesCycleService.get(id));
	}

	@ApiOperation("全查询")
	@GetMapping(value = "/queryAll", consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	public Object queryAll() {
		return succeed(vipGroupDefaultClassesCycleService.findAll(null));
	}

	@ApiOperation("新增")
	@PostMapping(value = "/add", consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	public Object add(VipGroupDefaultClassesCycle vipGroupDefaultClassesCycle) {
		Date date = new Date();
		vipGroupDefaultClassesCycle.setCreateTime(date);
		vipGroupDefaultClassesCycle.setUpdateTime(date);
		vipGroupDefaultClassesCycleService.insert(vipGroupDefaultClassesCycle);
		return succeed();
	}

	@ApiOperation("修改")
	@PostMapping(value = "/update", consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	public Object update(VipGroupDefaultClassesCycle vipGroupDefaultClassesCycle) {
		Date date = new Date();
		vipGroupDefaultClassesCycle.setUpdateTime(date);
		vipGroupDefaultClassesCycleService.update(vipGroupDefaultClassesCycle);
		return succeed();
	}

	@ApiOperation("删除")
	@PostMapping(value = "/delete", consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	public Object delete(int id) {
		vipGroupDefaultClassesCycleService.delete(id);
		return succeed();
	}

}
